package external

import "time"

type InfluxDB struct {
	HTTPConfigs        map[string]*InfluxDBHTTPConfig        `json:"httpConfigs" yaml:"httpConfigs" toml:"httpConfigs"`
	BatchPointsConfigs map[string]*InfluxDBBatchPointsConfig `json:"batchPointsConfigs" yaml:"batchPointsConfigs" toml:"batchPointsConfigs"`
}

type InfluxDBHTTPConfig struct {
	Address   string        `json:"address" yaml:"address" toml:"address"`
	Username  string        `json:"username" yaml:"username" toml:"username"`
	Password  string        `json:"password" yaml:"password" toml:"password"`
	UserAgent string        `json:"userAgent" yaml:"userAgent" toml:"userAgent"`
	Timeout   time.Duration `json:"timeout" yaml:"timeout" toml:"timeout"`
}

type InfluxDBBatchPointsConfig struct {
	Precision        string `json:"precision" yaml:"precision" toml:"precision"`
	Database         string `json:"database" yaml:"database" toml:"database"`
	RetentionPolicy  string `json:"retentionPolicy" yaml:"retentionPolicy" toml:"retentionPolicy"`
	WriteConsistency string `json:"writeConsistency" yaml:"writeConsistency" toml:"writeConsistency"`
}
